<?php
QUnit_Global::includeClass('QCore_Sql_Table');

class QCore_Sql_Table_Accounts extends QCore_Sql_Table {

    var $columns = array();

    function QCore_Sql_Table_Accounts() {
        $this->addColumn('accountid', WD_PATTERN_DEFAULT);
        $this->addColumn('name', WD_PATTERN_DEFAULT);
        $this->setCaption('name', L_G_ACCOUNT . " " . L_G_NAME);
        $this->addColumn('description', WD_PATTERN_DEFAULT);
        $this->setCaption('description', L_G_DESCRIPTION, false);
        $this->addColumn('dateinserted', WD_PATTERN_DEFAULT);
        $this->setCaption('dateinserted', L_G_DATE);
        $this->addColumn('rstatus', WD_PATTERN_DEFAULT);
        $this->setCaption('rstatus', L_G_STATUS);                
    }
        
    function getTableName() {
        return 'wd_g_accounts';
    }
    
        
    function getPkName() {
        return 'accountid';
    }            
}
?>
